strictness: high
inherits:
  - strictness_high

doc-warnings: true
member-warnings: true
test-warnings: true

autodetect: false
output-format: grouped

ignore-paths:
  - doc/source/conf.py
  - build/
  - dist/
  - logs/

pycodestyle:
  full: true
  options:
    max-line-length: 120

pydocstyle:
  explain: true
  source: true
  disable:
    - D203  # 1 blank line required before class docstring, D211 (after) is enforce instead
    - D213  # Multi-line docstring summary should start at the second line, D212 (first line) is enforced instead
    - D406  # Section name should end with a newline, incompatible with Google Style Python Docstrings
    - D407  # Missing dashed underline after section, incompatible with Google Style Python Docstrings

pylint:
  disable:
    - pointless-string-statement  # used as documentation for class attributes
  options:
    max-line-length: 120
    max-module-lines: 2000
    include-naming-hint: true

pyroma:
  run: true

vulture:
  run: true

mccabe:
  disable:
    - MC0001  # too complex method
